OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPCAF
PFunction

# PFunction_Function Class Reference

`#include <PFunction_Function.hxx>`

Inheritance diagram for PFunction_Function:

[legend]

## Public Member Functions
Standard_EXPORT | PFunction_Function ()
Standard_EXPORT void | SetDriverGUID (const Standard_GUID &driverGUID)
Standard_EXPORT Standard_GUID | GetDriverGUID () const
Standard_EXPORT Standard_Integer | GetFailure () const
Standard_EXPORT void | SetFailure (const Standard_Integer mode)
| PFunction_Function (const Storage_stCONSTclCOM &a)
const Standard_GUID & | _CSFDB_GetPFunction_FunctionmyDriverGUID () const
Standard_Integer | _CSFDB_GetPFunction_FunctionmyFailure () const
void | _CSFDB_SetPFunction_FunctionmyFailure (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_GUID | myDriverGUID
Standard_Integer | myFailure

## Constructor & Destructor Documentation

Standard_EXPORT PFunction_Function::PFunction_Function | ( |  | ) |

PFunction_Function::PFunction_Function | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const Standard_GUID& PFunction_Function::_CSFDB_GetPFunction_FunctionmyDriverGUID | ( |  | ) | const`[inline]`

Standard_Integer PFunction_Function::_CSFDB_GetPFunction_FunctionmyFailure | ( |  | ) | const`[inline]`

void PFunction_Function::_CSFDB_SetPFunction_FunctionmyFailure | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_GUID PFunction_Function::GetDriverGUID | ( |  | ) | const

Standard_EXPORT Standard_Integer PFunction_Function::GetFailure | ( |  | ) | const

Standard_EXPORT const PFunction_Function::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

Standard_EXPORT void PFunction_Function::SetDriverGUID | ( | const Standard_GUID & | driverGUID | ) |

Standard_EXPORT void PFunction_Function::SetFailure | ( | const Standard_Integer | mode | ) |

## Field Documentation

Standard_GUID PFunction_Function::myDriverGUID`[private]`

Standard_Integer PFunction_Function::myFailure`[private]`

The documentation for this class was generated from the following file:

- PFunction_Function.hxx